Subject: Re: [PATCH 2/2] acpi: Disable IRQ 0 through I/O APIC for some HP systems

From: Ingo Molnar <[email-masked]>
Date: Mon, 7 Jul 2008 09:17:06 +0200

* Rafael J. Wysocki <[email-masked]> wrote:

> Appended is a patch that actually works for me (it's missing the i386 
> part, but I can't test that anyway).
> 
> Please note two things:
> (1) The whole acpi_dmi_table[] thing originally depended on __i386__, so it
>     wouldn't work on x86-64 no matter what.  I removed that dependecy, but
>     I have no idea why it was there and so I'm not sure if that's correct. 

> (2) The clear_IO_APIC_pin(apic1, pin1) done if 
>     disable_irq0_through_ioapic is true is absolutely essential.  The 
>     symptoms are 100% reproducible without it.

thanks, applied to tip/x86, to give this some more testing.

the clear_IO_APIC_pin() is the most worrisome aspect of the change - but 
since we are already in limited quirk mode, does it hurt? Maciej, any 
preferences?

	Ingo